import logging; logger = logging.getLogger("morse." + __name__)
import pymoos.MOOSCommClient
from morse.middleware.moos import AbstractMOOS
from morse.core import blenderapi

class PoseTruthNotifier(AbstractMOOS):
    def default(self,  ci='unused'):
        cur_time=pymoos.MOOSCommClient.MOOSTime()
        
        self.m.Notify('actual_time', blenderapi.persistantstorage().current_time, cur_time)
        self.m.Notify("ESTIM_X", self.data['x'], cur_time)
        self.m.Notify("ESTIM_Y", self.data['y'], cur_time)
        self.m.Notify("ESTIM_Z", self.data['z'], cur_time)
